#= init_data プログラム用 NAMELIST ファイル (L24 用)
#
#= NAMELIST file for "init_data" (for L24)
#
# Copyright (C) GFD Dennou Club, 2008-2009. All rights reserved.
#
# Note that Japanese and English are described in parallel.
#

&restart_file_io_nml
  OutputFile = 'init.nc', 
                              ! 初期値データのファイル名
                              ! filename of initial data
/
&fileset_nml
  FileTitle = 'Initial data for dcpam5', 
                              ! 出力データファイルの表題.
                              ! Title of output data files
  FileSource = 'dcpam5 $Name:  $ (http://www.gfd-dennou.org/library/dcpam)', 
                              ! データファイル作成の手段. 
                              ! Source of data file
  FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
                              ! データファイルを最終的に変更した組織/個人. 
                              ! Institution or person that changes data files for the last time
/
&gridset_nml
  nmax = 42,                  ! 最大全波数. 
                              ! Maximum truncated wavenumber
  imax =  1,                  ! 経度格子点数. 
                              ! Number of grid points in longitude
  jmax =  1,                  ! 緯度格子点数. 
                              ! Number of grid points in latitude
  kmax = 24                   ! 鉛直層数. 
                              ! Number of vertical level
/
&composition_nml
  ncmax       = 3, 
  Names       = 'QVap' 'H2OLiq' 'TKE',
  FlagAdv     = .true., .true., .true.,
  FlagMassFix = .true., .true., .false.
/
&timeset_nml
  RestartTimeValue  = 0.0, 
                              ! リスタート開始時刻. 
                              ! Restart time of calculation
  RestartTimeUnit   = 'day', 
                              ! リスタート開始時刻の単位. 
                              ! Unit of restart time of calculation
/
&axesset_nml
! test08 (L24)
  Sigma = 1.00000000 0.997503102 0.992528021 0.982652187 0.963194370 0.927743435 0.893597305 0.829029083 0.713551939 0.555714786 0.432791114 0.337058067 0.262501091 0.204436049 0.159214959 0.123996735 9.65687558E-02 7.52078220E-02 5.85719123E-02 4.56158519E-02 3.55256610E-02 2.76674125E-02 2.15474032E-02 1.07737016E-02 0.00000000E+00
                              ! $ \sigma $ レベル (半整数). 
                              ! Half $ \sigma $ level
/
&initial_data_nml
  pattern = '1-d profile',
                              ! 初期値データのパターン. 
                              ! Initial data pattern
  TempAvr = 280.0, 
                              ! $ \bar{T} $ .     温度平均値. Mean temperature
  PsAvr   = 972.0d2, 
                              ! $ \bar{p_s} $ .   地表面気圧平均値. Mean surface pressure
  QVapAvr = 0.0e0, 
                              ! $ \bar{q} $ .     比湿平均値. Mean specific humidity
  Ueq = 0.0,
                              ! $ u_{eq} $ .      赤道上の東西風速. Eastward wind on the equator
  UGeos =  3.0d0,
  VGeos = -9.0d0
/
&set_1d_profile_nml
  InFileName = "GABLS2InitProfile.nc",
  PressName  = 'level',
  TempName   = 't',
  H2OVapName = 'q',
  O3Name     = ''
/
